compat: move <= 3.0 neighbour routines to compat-3.1.h
authorMike Marciniszyn <mike.marciniszyn@intel.com>
Mon, 21 May 2012 12:55:15 +0000 (08:55 -0400)
committerMike Marciniszyn <mike.marciniszyn@intel.com>
Mon, 21 May 2012 12:55:15 +0000 (08:55 -0400)
commit7823ad8b99ba77e92439419e78d1de7c305cb6c8
treee4727b6e73dfb064ea1861c3958a7669b4f439a7
parent1360f69c61cd3aba8a20d09eb46009b41480432b
compat: move <= 3.0 neighbour routines to compat-3.1.h

This patch removes the include/net/dst.h in favor of
moving the routines into compat-3.1.h.

This fixes a compilation issue with the 3.2.0 kernel with
the linux-3.2 repo.

Signed-off-by: Mike Marciniszyn <mike.marciniszyn@intel.com>
include/linux/compat-3.1.h
include/net/dst.h [deleted file]